Skip to navigation

Retrieve a delivery adjustment

View as Markdown
Retrieves a Delivery Adjustment object. You can use the query parameters to filter, expand, and sort the returned results.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
ID or number of the delivery adjustment.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields include:

  • id
  • adjustmentnumber
  • creditmemonumber
  • creditmemoid
  • debitmemonumber
  • segmentid
  • chargeid
  • chargenumber
  • subscriptionid
  • subscriptionnumber
  • originalsubid
  • accountid
  • invoiceowneraccountid
  • {indexedcustomfield}: Use the format like customField__c to filter on custom fields.
expand[]list of stringsOptional
Allows you to expand responses by including related object information in a single call.
filter[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields include:

  • id
  • adjustmentnumber
  • creditmemonumber
  • creditmemoid
  • debitmemonumber
  • segmentid
  • chargeid
  • chargenumber
  • subscriptionid
  • subscriptionnumber
  • originalsubid
  • accountid
  • invoiceowneraccountid
  • {indexedcustomfield}: Use the format like customField__c to filter on custom fields.
fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the delivery adjustment.
createdByIdstringOptional
The unique identifier of the user who created the delivery adjustment.
createdDatedatetimeOptional
The date and time when the delivery adjustment was created.
updatedByIdstringOptional
The unique identifier of the user who last updated the delivery adjustment.
updatedDatedatetimeOptional
The date and time when the delivery adjustment was last updated.
adjustmentNumberstringOptional

The system-generated delivery adjustment number.

creditMemoNumberstringOptional
Number of the credit memo generated for the delivery adjustment.
debitMemoNumberstringOptional
The Debit Memo generated to write off the Credit Memo for the delivery adjustment.
creditMemoIdstringOptional
The ID of the credit memo generated for the delivery adjustment.
segmentIdstringOptional
The ID of the segment on the subscription for which the delivery adjustment is created.
chargeIdstringOptional
The charge ID in the subscription for which the delivery adjustment is created.
chargeNumberstringOptional
The charge number in the subscription for which the delivery adjustment is created.
subscriptionIdstringOptional
The ID of the subscription for which the delivery adjustment is created.
subscriptionNumberstringOptional
The number of the subscription for which the delivery adjustment is created.
originalSubIdstringOptional
The original subscription ID.
statusenumOptional
The status of the delivery adjustment.
Allowed values:
numberOfDeliveriesdoubleOptional
The total number of all delivery adjustments.
amountPerUnitdoubleOptional
The actual charged amount per unit for the delivery adjustment.
amountdoubleOptional
The amount of the delivery adjustment.
datedateOptional

The delivery adjustment date, in yyyy-mm-dd format.

deliveryDaystringOptional
The delivery adjustment day of the week.
reasonstringOptional
The reason for the delivery adjustment.
typeenumOptional
The type of delivery adjustment.
Allowed values:
accountIdstringOptional
The ID of the account who owns the delivery adjustment.
invoiceOwnerAccountIdstringOptional
The account ID of the invoice owner who owns the delivery adjustment.
accountingCodestringOptional
The accounting code associated with the delivery adjustment.
deferredAccountingCodestringOptional

The accounting code for the deferred revenue, such as Monthly Recurring Liability.

Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge.

recognizedRevenueAccountingCodestringOptional

The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges.

Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge.

revenueRecognitionRuleNamestringOptional

The name of the revenue recognition rule governing the revenue schedule.

Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge.

billingDatedateOptional

The billing date is same as the delivery date of the delivery adjustment, in yyyy-mm-dd format.

Errors

4XX
Client Request Error
500
Internal Server Error